Robotics Systems Types - Tasks #1898
Check for Java version
06/23/2014 11:11 AM - Anonymous

Status: Rejected Start date: 06/23/2014
Priority: High Due date:

Assignee: % Done: 0%
Category: java Estimated time: 0.00 hour
Target version: rsb-0.11

Description

It seems that rst trunk doesn't build with Java 6, but needs Java 7, see attached screenshot. So in source:java/CMakelLists.ixt we
should also check for the Java version and only build rst java when the version is suitable.

History

#1 - 06/25/2014 12:42 AM - J. Wienke
It works with java 6 without problem. | suspect an upstream bug where javac is a broken alternative after a default installation of ubuntu. Can you

confirm this on your system? Also, switch to jdk 6 again with the alternatives to see what really happens in that case.

#2 - 01/07/2015 07:06 PM - J. Moringen
- Status changed from New to Rejected

Reopen if this is still an issue.
